Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme.php	(revision 450)
@@ -281,4 +281,9 @@
 												__('NO','xpressme')		
 												);
+		echo				$xpress_config->yes_no_radio_option('is_block_error_display',
+												__('Select warning display of block file version check','xpressme'),
+												__('Do display','xpressme'),
+												__('Do not display','xpressme')		
+												);
 		echo			"</table>\n";
 		
@@ -292,196 +297,5 @@
 }
 
-function upgrade_page()
-{
-	global $xoops_config,$xpress_config;
-	
-	$xpress_version = $xoops_config->module_version . $xoops_config->module_codename;
-	$check_url = "http://ja1.xpressme.info/version_check/?version=$xpress_version";
-
-	echo	'<div class="wrap">'."\n";
-	echo		'<div id="icon-options-general" class="icon32"><br /></div>'."\n";
-	echo		'<h2>' . __('XPressME Upgrade', 'xpressme') . "</h2><br>\n";
-	
-	if(get_xpress_latest_version()){
-		$latest = get_option('xpressme_latest_version');
-		if ($latest) {
-			$site_url=$latest['url'];
-			$package=$latest['package'];
-			$latest_version=$latest['latest_version'];
-			$check_time=$latest['check_time'];
-		}
-
-
-		if (version_compare($xpress_version, $latest_version, '>')){
-				echo '<h3 class="response">';
-				printf(__('You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href="%2$s">stay updated</a>.', 'xpressme') , $xpress_version , $site_url);
-				echo '</h3>';
-
-		} else if (version_compare($xpress_version, $latest_version, '<')) {
-			echo	'<h3 class="response">'. __('There is a new version of XPressME Integration Kit available for upgrade', 'xpressme') . '</h3>';
-			echo '<p>';
-	//		printf(__('You can upgrade to version %s automatically or download the package and install it manually:'),$latest_version);
-			printf(__('You can upgrade to version %s download the package and install it manually:', 'xpressme'),$latest_version);
-			echo '</p>';
-			echo '<a class="button" href="' . $package . '">';
-			printf(__('Download %s', 'xpressme') , $latest_version);
-			echo '</a>';
-		} else {
-			echo	'<h3 class="response">'. __('You have the latest version of XPressME Integration Kit. You do not need to upgrade', 'xpressme') . '</h3>';
-		}
-	} else {
-		echo '<h3 class="response">';
-		printf(__('There is no response from <a href="%s">version check API</a> now. sorry, please confirm it after.', 'xpressme'),$check_url);
-		echo	"</div>\n";
-	}
-}
-
-function xp_remote_get($url, $headers = ""){
-	global $xoops_config;
-	$xpress_version = $xoops_config->module_version . $xoops_config->module_codename;
-
-	require_once( $xoops_config->module_path . '/wp-includes/class-snoopy.php');
-
-	// Snoopy is an HTTP client in PHP
-	$client = new Snoopy();
-	$client->agent = 'XPressME/' . $xpress_version;
-	$client->read_timeout = 2;
-	if (is_array($headers) ) {
-		$client->rawheaders = $headers;
-	}
-
-	@$client->fetch($url);
-	$response['response']['code'] = $client->status;
-	$response['body'] = $client->results;
-	return $response;
-	return $client;
-
-}
-
-function get_xpress_latest_version(){
-	global $wp_version, $wpdb, $wp_local_package;
-	global $xoops_config;
-	
-	$xpress_version = $xoops_config->module_version . $xoops_config->module_codename;
-
-	$check_url = "http://ja.xpressme.info/version_check/?version=$xpress_version";
-	$request_options = array(
-	'timeout' => 3,
-	'user-agent' => 'WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' )
-	);
-
-	if (! function_exists('wp_remote_get')) {
-		$response = xp_remote_get($check_url);
-		
-		if (empty($response['body'])) return false;
-	} else {
-	
-		$response = wp_remote_get($check_url, $request_options);
-		
-		if ( is_wp_error( $response ) )
-			return false;
-	}
-	if ( 200 != $response['response']['code'] )
-		return false;
-	$body = trim( $response['body'] );
-	$body = str_replace(array("\r\n", "\r"), "\n", $body);
-	$returns = explode("\n", $body);
-	if ( isset( $returns[0] ) ) $response = $returns[0]; else $response = '';
-	if ( isset( $returns[1] ) ) $url = clean_url( $returns[1] ); else $url = '';
-	if ( isset( $returns[2] ) ) $package = clean_url( $returns[2] ); else $package = '';
-	if ( isset( $returns[3] ) ) $latest_version = $returns[3]; else  $latest_version = '';
-	if ( isset( $returns[4] ) ) $before_version = $returns[4]; else $before_version = '';
-	
-	// diff 
-	if ( isset( $returns[5] ) ) $diff_response = $returns[5]; else $diff_response = '';
-	if ( isset( $returns[6] ) ) $diff_url = clean_url( $returns[6] ); else $diff_url = '';
-	if ( isset( $returns[7] ) ) $diff_package = clean_url( $returns[7] ); else $diff_package = '';
-	if ( isset( $returns[8] ) ) $diff_latest_version = $returns[8]; else  $diff_latest_version = '';
-	if ( isset( $returns[9] ) ) $diff_before_version = $returns[9]; else $diff_before_version = '';
-
-	// developer 
-	if ( isset( $returns[10] ) ) $develop_response = $returns[10]; else $develop_response = '';
-	if ( isset( $returns[11] ) ) $develop_url = clean_url( $returns[11] ); else $develop_url = '';
-	if ( isset( $returns[12] ) ) $develop_package = clean_url( $returns[12] ); else $develop_package = '';
-	if ( isset( $returns[13] ) ) $develop_latest_version = $returns[13]; else  $develop_latest_version = '';
-	if ( isset( $returns[14] ) ) $develop_before_version = $returns[14]; else $develop_before_version = '';
-
-	$write_options = array (
-		'response' => $response ,
-		'url' => $url ,
-		'package' => $package ,
-		'latest_version' => $latest_version ,
-		'before_version' => $before_version ,
-		'diff_response' => $diff_response ,
-		'diff_url' => $diff_url ,
-		'diff_package' => $diff_package ,
-		'diff_latest_version' => $diff_latest_version ,
-		'diff_before_version' => $diff_before_version ,
-		'develop_response' => $develop_response ,
-		'develop_url' => $develop_url ,
-		'develop_package' => $develop_package ,
-		'develop_latest_version' => $develop_latest_version ,
-		'develop_before_version' => $develop_before_version ,
-		'check_time' => time()
-	);
-	
-	$latest_version = get_option('xpressme_latest_version');
-	if (!$latest_version) {
-		add_option('xpressme_latest_version', $write_options);
-	} else {
-		update_option('xpressme_latest_version', $write_options);
-	}
-	return true;
-}
-
-function xpress_update_check() {
-	if ( defined('WP_INSTALLING') )
-		return;
-	global $pagenow;
-
-	$php_query_string = $_SERVER['QUERY_STRING'];
-
-	if ( 'admin.php' == $pagenow && 'page=upgrade_page' == $php_query_string)
-		return;
-
-	global $wp_version, $wpdb, $wp_local_package;
-	global $xoops_config;
-
-	$php_query_string = $_SERVER['QUERY_STRING'];
-	$xpress_version = $xoops_config->module_version . $xoops_config->module_codename;
-
-	$latest = get_option('xpressme_latest_version');
-	if (!$latest ) {
-		get_xpress_latest_version();
-		$latest = get_option('xpressme_latest_version');
-	}
-
-	if ($latest) {
-		$next_check = $latest['check_time'] + (60*60*24);
-		$now_time = time();
-		if ($next_check < $now_time ){
-			get_xpress_latest_version();
-			$latest = get_option('xpressme_latest_version');
-		}
-	}
-
-	if ($latest) {
-		$url=$latest['url'];
-		$package=$latest['package'];
-		$latest_version=$latest['latest_version'];
-		$check_time=$latest['check_time'];
-		$upgrade_page = $xoops_config->module_url . "/wp-admin/admin.php?page=upgrade_page";
-
-		if (version_compare($xpress_version, $latest_version, '<')) {
-			if ( current_user_can('manage_options') ){
-				$msg = sprintf( __('XPressME Integration Kit Version %1$s is available! <a href="%2$s">Please update now</a>.', 'xpressme'), $latest_version, $upgrade_page );
-			} else {
-				$msg = sprintf( __('XPressME Integration Kit Version %1$s is available! Please notify the site administrator.', 'xpressme'), $latest_version );
-			}
-			echo "<div id='update-nag'>$msg </div>";
-		}
-	}
-}
-
+include_once dirname( __FILE__ ).'/include/xpress_upgrade.php' ;
 add_action( 'admin_notices', 'xpress_update_check', 3 );
 
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_class.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_class.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_class.php	(revision 450)
@@ -36,4 +36,5 @@
 	var $is_dashboard_forum_disp;
 	var $theme_select;
+	var $is_block_error_display;
 	//constructor
 	function XPressME_Class()
@@ -86,4 +87,5 @@
 		$this->is_dashboard_forum_disp = true;
 		$this->theme_select = 'use_wordpress_select';
+		$this->is_block_error_display = true;
 	}
 	
@@ -143,5 +145,6 @@
 			'is_dashboard_blog_disp' => $this->is_dashboard_blog_disp,
 			'is_dashboard_forum_disp' => $this->is_dashboard_forum_disp,
-			'theme_select' => $this->theme_select
+			'theme_select' => $this->theme_select,
+			'is_block_error_display' => $this->is_block_error_display
 		);
 		if ($mode == 'add_new') {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_widget_class.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_widget_class.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/plugins/xpressme/xpressme_widget_class.php	(revision 450)
@@ -16,5 +16,5 @@
 	function XPress_Menu_Widget(){
 		$widget_ops = array('classname' => 'widget_xpress', 'description' => __( "XPressME User Menu Widget") );
-		$control_ops = array('width' => 400, 'height' => 300);
+		$control_ops = array('width' => 600, 'height' => 300);
 		$this->WP_Widget('XPress_Menu', __('XPressME MENU'), $widget_ops, $control_ops);
 	}
@@ -26,4 +26,5 @@
 	function widget($args, $instance){
 		global $xpress_config,$xoops_config;
+		global $current_user;
 
 		extract($args);
@@ -38,10 +39,66 @@
 
 		# Make the XPressME MENU widget
+		$menu = array();
+		for($i = 0; $i < 10; $i++) {
+			$menu[$i]['Type'] = $instance['Type_' . $i];
+			$menu[$i]['Title'] = $instance['Title_' . $i];
+			$menu[$i]['URL'] = $instance['URL_' . $i];
+			$menu[$i]['Visible'] = $instance['Visible_' . $i];
+			$menu[$i]['Weight'] = $instance['Weight_' . $i];
+		}			
 		echo '<ul>';
 		for($i = 0; $i < 10; $i++) {
-			$link_name = $instance['name' . $i];
-			$link_url = $instance['link' . $i];
-			if (!empty($link_name))	echo '<li><a href="' . $link_url . '">' . $link_name . '</a></li>';
+			$type = $menu[$i]['Type'];
+			if ($menu[$i]['Visible'] && !empty($menu[$i]['Title']) ){
+				switch($type){
+					case 0:
+					case 1:
+						echo '<li><a href="' . $menu[$i]['URL'] . '">' . $menu[$i]['Title'] . '</a></li>';
+						break;
+					case 2:	// Add New
+						if (is_user_logged_in()){
+							if ($current_user->user_level > 0){
+								if (xpress_is_wp_version('<','2.1') ){
+									echo '<li><a href="'.get_settings('siteurl').'/wp-admin/post.php" title="'. $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+								} else {
+									echo '<li><a href="'.get_settings('siteurl').'/wp-admin/post-new.php" title="'. $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+								}
+							}
+						}
+						break;
+					case 3: // User Profile
+						if (is_user_logged_in()) { 
+							echo '<li><a href="'.get_settings('siteurl').'/wp-admin/profile.php" title="' . $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+						}
+						break;
+					case 4: // WordPress Admin
+						if (is_user_logged_in()){
+							if ($current_user->user_level > 7){
+								echo '<li><a href="'.get_settings('siteurl').'/wp-admin/" title="'. $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+							}
+						}
+						break;
+					case 5: // Module Admin
+						if($GLOBALS["xoopsUserIsAdmin"]){
+							echo '<li><a href="'.get_settings('siteurl').'/admin/index.php"  title="'. $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+						}
+						break;
+					case 6: // XPressME Setting
+						if (is_user_logged_in()){
+							if ($current_user->user_level > 7){
+								echo '<li><a href="'.get_settings('siteurl').'/wp-admin/admin.php?page=xpressme\\xpressme.php" title="'. $menu[$i]['Title'] .'">'. $menu[$i]['Title'] .'</a></li>';
+							}
+						}
+						break;
+					case 7: // Display Mode Select
+						if ($xpress_config->viewer_type == 'user_select'){
+							echo disp_mode_set();
+						}
+						break;
+					default:
+				}
+			}
 		}
+
 		echo '</ul>';
 		# After the widget
@@ -58,6 +115,12 @@
 		
 		for($i = 0; $i < 10; $i++) {
-			$instance['name'. $i] = strip_tags(stripslashes($new_instance['name'. $i]));
-			$instance['link' . $i] = strip_tags(stripslashes($new_instance['link'. $i]));
+			$instance['Type_'. $i] = strip_tags(stripslashes($new_instance['Type_'. $i]));
+			$instance['Title_' . $i] = strip_tags(stripslashes($new_instance['Title_'. $i]));
+			if ($instance['Type_'. $i] < 2){
+				$instance['URL_' . $i] = strip_tags(stripslashes($new_instance['URL_'. $i]));
+			} else {
+				$instance['URL_' . $i] = '';
+			}
+			$instance['Visible_' . $i] = strip_tags(stripslashes($new_instance['Visible_'. $i]));
 		}
 
@@ -71,40 +134,167 @@
 	function form($instance){
 		global $xpress_config,$xoops_config;
+		
+		if (xpress_is_wp_version('<','2.1') ){
+			$addnew = get_settings('siteurl').'/wp-admin/post.php';
+		} else {
+			$addnew = get_settings('siteurl').'/wp-admin/post-new.php';
+		}
+		$type = array();
+		$type[0] = __('Link', 'xpressme');
+		$type[1] = __('Site Home', 'xpressme');
+		$type[2] = __('Add New', 'xpressme');
+		$type[3] = __('User Profile', 'xpressme');
+		$type[4] = __('WordPress Admin', 'xpressme');
+		$type[5] = __('Module Admin', 'xpressme');
+		$type[6] = __('XPressME Setting', 'xpressme');
+		$type[7] = __('Display Mode Select', 'xpressme');
+		
+		$auto_setting = __('Auto Setting', 'xpressme');
+		
 		//Defaults
 		$instance = wp_parse_args( (array) $instance, 
 		array(
-			'title'=> __('User Menu'),
-			'name0' => __('Site Home'),
-			'link0' => $xoops_config->xoops_url,
-			'name1' => '',
-			'link1' => '',
-			'name2' => '',
-			'link2' => '',
-			'name3' => '',
-			'link3' => '',
-			'name4' => '',
-			'link4' => '',
-			'name5' => '',
-			'link5' => '',
-			'name6' => '',
-			'link6' => '',
-			'name7' => '',
-			'link7' => '',
-			'name8' => '',
-			'link8' => '',
-			'name9' => '',
-			'link9' => ''
+			'title'=> __('User Menu', 'xpressme'),
+			
+			'Type_0' =>1 , 
+			'Title_0' => __('Site Home', 'xpressme'),
+			'URL_0' => get_xoops_url(),
+			'Visible_0' => 1,
+			
+			'Type_1' =>2 , 
+			'Title_1' => __('Add New', 'xpressme'),
+			'URL_1' => $auto_setting,
+			'Visible_1' => 1,
+				
+			'Type_2' =>3 , 
+			'Title_2' => __('User Profile', 'xpressme'),
+			'URL_2' => __('Auto Setting', 'xpressme'),
+			'Visible_2' => 1,
+				
+			'Weight_2' => 3,
+			'Type_3' =>4 , 
+			'Title_3' => __('WordPress Admin', 'xpressme'),
+			'URL_3' => $auto_setting,
+			'Visible_3' => 1,
+				
+			'Type_4' =>5 , 
+			'Title_4' => __('Module Admin', 'xpressme'),
+			'URL_4' => $auto_setting,
+			'Visible_4' => 1,
+				
+			'Type_5' =>6 , 
+			'Title_5' => __('XPressME Setting', 'xpressme'),
+			'URL_5' => $auto_setting,
+			'Visible_5' => 1,
+				
+			'Type_6' =>7 , 
+			'Title_6' => $auto_setting,
+			'URL_6' => $auto_setting,
+			'Visible_6' => 1,
+			'Type_7' =>0 , 
+			'Title_7' => __('Link', 'xpressme'),
+			'URL_7' => '',
+			'Visible_7' => 0,
+				
+			'Type_8' =>0 , 
+			'Title_8' => __('Link', 'xpressme'),
+			'URL_8' => '',
+			'Visible_8' => 0,
+				
+			'Type_9' =>0 , 
+			'Title_9' => __('Link', 'xpressme'),
+			'URL_9' => '',
+			'Visible_9' => 0,
 		) );
-
-		$title = htmlspecialchars($instance['title']);
+		
+		echo '
+		<script type="text/javascript">
+		    function TypeSelect(type_id,title_id,url_id){
+				var type=document.getElementById(type_id);
+				var title=document.getElementById(title_id);
+				var link_url=document.getElementById(url_id);
+				var auto_set = \''. $auto_setting .'\';
+				title.value = type[type.value].text;
+				if(type.value > 1){
+					link_url.value = auto_set;
+					link_url.disabled = true;
+					link_url.style.backgroundColor = \'transparent\';
+		        } else {
+		        	if (link_url.value == auto_set) link_url.value = \'\';
+					link_url.disabled = false;
+					link_url.style.backgroundColor = \'#FFFFEE\';
+				}
+		        if(type.value == 1){
+					link_url.value = \''.get_xoops_url() . '\';
+		        }
+				if(type.value == 7){
+					title.value = auto_set;
+					title.disabled = true;
+					title.style.backgroundColor = \'transparent\';
+		        } else {
+		        	if (title.value == auto_set) title.value = \'\';
+					title.disabled = false;
+					title.style.backgroundColor = \'#FFFFEE\';
+				}
+
+		    }
+		</script>';
 
 		// Output the options
 		echo '<p><label for="' . $this->get_field_name('title') . '">'. "\n";
-		echo __('Title:') . '<input style="width: 200px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $title . '" /></label></p>'. "\n";
-		echo '<label>' . __('Title') . '</label>' . '<label style="margin-left:120px;">' . __('URL') . '</label>' . "\n";
+		echo __('Title:') . '<input style="width: 200px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $instance['title'] . '" /></label></p>'. "\n";
+		echo "
+		    <table width='100%' class='outer' cellpadding='4' cellspacing='1' border=\"1\" bordercolor=\"#888888\">
+		    <tr valign='middle' align='center' style=\"background-color:#2E323B;color:#FFFFFF\">
+		    <th width='10%'>Type</th>
+		    <th width='15%'>Title</th>
+		    <th width='10%'>URL</th>
+		    <th width='10px'>Visible</th>
+			</tr>
+		";
 		for($i = 0; $i < 10; $i++) {
-		echo '<p><input style="width: 100px;" id="' . $this->get_field_id('name' . $i) . '" name="' . $this->get_field_name('name' . $i) . '" type="text" value="' . $instance['name'. $i] . '" />:'. "\n";
-		echo '<input style="width: 280px;" id="' . $this->get_field_id('link' . $i) . '" name="' . $this->get_field_name('link' . $i) . '" type="text" value="' . $instance['link'. $i] . '" /></p>'. "\n";
+			$even = $i % 2;
+			if ($even) {
+				$back_color = ' style="background-color:#E3E3E3"';
+			} else {
+				$back_color = ' style="background-color:#F5F5F5"';
+			}
+			$text_back_color = ' style="background-color:#FFFFEE"';
+			echo "<tr $back_color>";
+
+			$select_arg = "'" . $this->get_field_id('Type_' . $i) . "','" . $this->get_field_id('Title_' . $i) . "','" . $this->get_field_id('URL_' . $i) . "'";
+			echo '<th><select id="' . $this->get_field_id('Type_' . $i) . '" name="' . $this->get_field_name('Type_' . $i) . '" ' .$back_color . 'onchange="TypeSelect(' . $select_arg . ')">';
+			for ($j = 0; $j < 8; $j++) {
+				if ($instance['Type_'. $i] == $j) $select = ' selected="selected"'; else $select = '';
+				echo '<option ' . $select . 'value="'. $j . '">' . $type[$j] . '</option>';
+			}
+			echo '</select></th>';
+			
+			if ($instance['Type_'. $i] == 7) {
+				$title_disible = 'disabled=disabled';
+				$title_back_color = $back_color;
+				$title_value = $auto_setting;
+
+			} else {
+				$title_disible = '';
+				$title_back_color = $text_back_color;
+				$title_value = $instance['Title_'. $i];
+			}
+			echo '<th style="padding:2px"><input size="24" id="' . $this->get_field_id('Title_' . $i) . '" name="' . $this->get_field_name('Title_' . $i) . '" type="text" value="' . $title_value . '" ' .$title_back_color . $title_disible .  '/></th>'. "\n";
+			if ($instance['Type_'. $i] > 1) {
+				$url_disible = 'disabled=disabled';
+				$url_back_color = $back_color;
+				$url_value = $auto_setting;
+			} else {
+				$url_disible = '';
+				$url_back_color = $text_back_color;
+				$url_value = $instance['URL_'. $i];
+			}
+			echo '<th style="padding:2px"><input size="40" id="' . $this->get_field_id('URL_' . $i) . '" name="' . $this->get_field_name('URL_' . $i) . '" type="text" value="' . $url_value . '" ' .$url_back_color . $url_disible . '/></th>'. "\n";
+			if ($instance['Visible_'. $i]) $check = ' checked="checked"'; else $check = '';
+			echo '<th><input size="4" id="' . $this->get_field_id('Visible_' . $i) . '" name="' . $this->get_field_name('Visible_' . $i) . '" type="checkbox" value="1"' . $check . ' /></th>'. "\n";
+			echo '</tr>';
 		}
+		echo 	'</table>';
 	}
 
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/archives_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/archives_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/archives_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function archives_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/authors_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/authors_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/authors_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function authors_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/calender_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/calender_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/calender_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function calender_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/category_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/category_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/category_block_theme.php	(revision 450)
@@ -1,4 +1,4 @@
 <?php
-
+// Block Version: 1.0
 function category_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/enhanced_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/enhanced_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/enhanced_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function enhanced_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/meta_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/meta_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/meta_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function meta_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/page_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/page_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/page_block_theme.php	(revision 450)
@@ -1,4 +1,4 @@
 <?php
-
+// Block Version: 1.0
 function page_block($options)
 {
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/popular_posts_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/popular_posts_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/popular_posts_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function popular_posts_block($options)
 {
@@ -9,5 +10,7 @@
 	$time_format = empty( $options[5] ) ? '' : $options[5] ;
 	$tag_select = $options[6] ;
-	$selected = array_slice($options, 7); // get allowed cats
+	$cat_select = empty( $options[7] ) ? '0' : $options[7] ;
+	
+	$selected = explode(',' , $cat_select);
 
 	$mydirpath = get_xpress_dir_path();
@@ -15,10 +18,7 @@
 	if (empty($date_format)) $date_format = get_settings('date_format');
 	if (empty($time_format)) $time_format = get_settings('time_format');
-	if (array_search(0,$selected)===0) {
-		$cat_select = false;
-	}else {
-		$cat_select = true;			
-	}
-	$cat_id = implode(',',$selected);
+	if (array_search(0,$selected)===0) $cat_select = 0;
+	
+	$cat_select;
 	$block = array();
 	$item_no = 0;	
@@ -58,5 +58,5 @@
 
 	 	if ($cat_select) {
-	 		$where .= " AND ($term_taxonomy.term_id IN ($cat_id))";
+	 		$where .= " AND ($term_taxonomy.term_id IN ($cat_select))";
 		}
 		
@@ -75,5 +75,5 @@
 		
 	 	if ($cat_select) {
-	 		$where .= " AND ($post2cat_tb.category_id IN ($cat_id))";
+	 		$where .= " AND ($post2cat_tb.category_id IN ($cat_select))";
 		}
 	}
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_comments_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_comments_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_comments_block_theme.php	(revision 450)
@@ -1,5 +1,4 @@
 <?php
-//if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;
-
+// Block Version: 1.0
 function recent_comments_block($options)
 {
@@ -10,5 +9,7 @@
 	$date_format = empty( $options[4] ) ? '' : $options[4] ;
 	$time_format = empty( $options[5] ) ? '' : $options[5] ;
-    $selected = array_slice($options,6); // get allowed cats
+	$com_select = empty( $options[6] ) ? '0' : $options[6] ;
+
+	$selected = explode(',' , $com_select);
 
 	$mydirpath = get_xpress_dir_path();
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_content_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_content_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_content_block_theme.php	(revision 450)
@@ -1,19 +1,20 @@
 <?php
-//if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;
-
+// Block Version: 1.0
 function recent_posts_content_block($options)
 {
 	$mydirname = empty( $options[0] ) ? 'xpress' : $options[0] ;
 	$this_template = empty( $options[1] ) ? 'db:'.$mydirname.'_recent_posts_content_block.html' : trim( $options[1] );
-	$day_select = ($options[2])?intval($options[2]):0;
-	$day_size = ($options[3])?intval($options[3]):0;
-	$disp_count =  ($options[4])?intval($options[4]):10;
-	$excerpt = empty( $options[5] ) ? false : true ;
-	$excerpt_size =  ($options[6])?intval($options[6]):100;
-	$date_format = empty( $options[7] ) ? '' : $options[7] ;
-	$time_format = empty( $options[8] ) ? '' : $options[8] ;
-	$tag_select = $options[9] ;
-    $selected = array_slice($options,10); // get allowed cats
-
+	$disp_count =  ($options[2])?intval($options[2]):10;
+	$excerpt = empty( $options[3] ) ? false : true ;
+	$excerpt_size =  ($options[4])?intval($options[4]):100;
+	$date_format = empty( $options[5] ) ? '' : $options[5] ;
+	$time_format = empty( $options[6] ) ? '' : $options[6] ;
+	$tag_select = $options[7] ;
+	$cat_select = empty( $options[8] ) ? '0' : $options[8] ;
+	$day_select = ($options[9])?intval($options[9]):0;
+	$day_size = ($options[10])?intval($options[10]):0;
+
+	$selected = explode(',' , $cat_select);
+	
 	$mydirpath = get_xpress_dir_path();
 	
@@ -21,5 +22,6 @@
 	if (empty($time_format)) $time_format = get_settings('time_format');
 	if(empty($tag_select)) $tag_where = ''; else $tag_where = "tag='$tag_select'&";
-	
+	if (array_search(0,$selected)===0) $cat_select = 0;
+
 	$selected_author_id = xpress_selected_author_id('echo=0');	
 	if (!empty($selected_author_id)){
@@ -37,9 +39,8 @@
 	if (!is_null($wpdb)){
 		$wp_query->in_the_loop = true;		//for use the_tags() in multi lopp 
-		if (array_search(0,$selected)===0) {
+		if ($cat_select) {
+			$r = new WP_Query($author_where . $tag_where ."cat=$cat_select&showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
+		} else {
 			$r = new WP_Query($author_where . $tag_where ."showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
-		} else {
-			$cat_id = implode(',',$selected);
-			$r = new WP_Query($author_where . $tag_where ."cat=$cat_id&showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
 		}
 		while($r->have_posts()){			
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_list_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_list_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/recent_posts_list_block_theme.php	(revision 450)
@@ -1,3 +1,4 @@
 <?php
+// Block Version: 1.0
 function recent_posts_list_block($options)
 {
@@ -10,5 +11,7 @@
 	$time_format = empty( $options[6] ) ? '' : $options[6] ;
 	$tag_select = $options[7] ;
-	$selected = array_slice($options,8); // get allowed cats
+	$cat_select = empty( $options[8] ) ? '0' : $options[8] ;
+	
+	$selected = explode(',' , $cat_select);
 
 	$mydirpath = get_xpress_dir_path();
@@ -17,4 +20,5 @@
 	if (empty($time_format)) $time_format = get_settings('time_format');
 	if(empty($tag_select)) $tag_where = ''; else $tag_where = "tag='$tag_select'&";
+	if (array_search(0,$selected)===0) $cat_select = 0;
 
 	$selected_author_id = xpress_selected_author_id('echo=0');	
@@ -30,10 +34,8 @@
 	if (!is_null($wpdb)){
 		$wp_query->in_the_loop = true;		//for use the_tags() in multi lopp 
-		if (array_search(0,$selected)===0) {
+		if ($cat_select) {
+			$r = new WP_Query($author_where . $tag_where . "cat=$cat_select&showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
+		} else {
 			$r = new WP_Query($author_where . $tag_where ."showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
-
-		} else {
-			$cat_id = implode(',',$selected);
-			$r = new WP_Query($author_where . $tag_where . "cat=$cat_id&showposts=$disp_count&what_to_show=posts&nopaging=0&post_status=publish");
 		}
 		while($r->have_posts()){			
Index: tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/search_block_theme.php
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/search_block_theme.php	(revision 434)
+++ tags/Ver2.2.0RC1/xpressme_integration_kit/wp-content/themes/xpress_default/blocks/search_block_theme.php	(revision 450)
@@ -1,4 +1,4 @@
 <?php
-
+// Block Version: 1.0
 function search_block($options)
 {
